summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-02-16 20:02:17 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-02-16 20:02:17 +0200
commit43a5bdd9517a87833fdaaaa605eeb5a9e901b1da (patch)
treeef65ec46629a645bb540aae22178a9dd339cdb9e
parente27d3602ed0d38f6b3a940e6e38678bad48f5401 (diff)
Added iostat in order to avoid Doomsday and T-800 Terminator creation
-rw-r--r--sys-apps/iostat/Manifest1
-rw-r--r--sys-apps/iostat/iostat-2.2.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/sys-apps/iostat/Manifest b/sys-apps/iostat/Manifest
new file mode 100644
index 00000000..f20f1b52
--- /dev/null
+++ b/sys-apps/iostat/Manifest
@@ -0,0 +1 @@
+DIST iostat-2.2.tar.gz 13183 SHA256 edc5aa73f43bd6c7d49f2c1d5906a0a68c0b28bc4dfdaf1f2aa5ae4a2449c58e SHA512 31bc0daf36ff73649525ac828fd3d77b82049b130abf1fd6aeb8e22f9048ea04ea1d9d931bd4620631c30d8b48b5ec50827f3e1b5df57cd44641033223a6ccfc WHIRLPOOL 492214a8f4a0e93952ec17791967cbfed1bea4c6a01a959c231bafdc478574eb655d01c5568f1c151af84c368f8e3aebf137ee42688819f3f69bb2fa86e944ab
diff --git a/sys-apps/iostat/iostat-2.2.ebuild b/sys-apps/iostat/iostat-2.2.ebuild
new file mode 100644
index 00000000..756bb044
--- /dev/null
+++ b/sys-apps/iostat/iostat-2.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+
+DESCRIPTION="I/O performance monitoring utility"
+HOMEPAGE="http://www.linuxinsight.com/iostat_utility.html"
+SRC_URI="http://www.linuxinsight.com/files/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
+}
+
+src_install() {
+ dodoc README || die
+ doman ${PN}.8 || die
+ dobin ${PN} || die
+}